
package de.ivu.elect.presentation.dokumente.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.datei.entity.DateiExport;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;
import de.ivu.elect.presentation.exchange.table.AbstractDateiExportColumnBuilder;

@Named(DokumentErzeugenColumnBuilder.COMPONENT_NAME)
public class DokumentErzeugenColumnBuilder extends AbstractDateiExportColumnBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dokumentErzeugenColumnBuilder";

  public DokumentErzeugenColumnBuilder() {
    super();
  }

  @Override
  protected List<ColumnEntry< ? super DateiExport>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super DateiExport>> result = new ArrayList<>();

    result.add(dateiExportDateiErstellungszeitpunktColumn);
    result.add(dateiExportDateiDateinameColumn); // Enthält im Gegensatz zum Originaldateinamen die Art der Dokumentvorlage als Präfix...
    result.add(dateiExportDateiFileTypeColumn);

    return result;
  }
}
